Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(874)

Unified Diff: skolo/raspberry-pi/setup-swarming.sh

Issue 1930143002: Make swarming bootstrap at boot, not login (Closed) Base URL: https://skia.googlesource.com/buildbot@master
Patch Set: Created 4 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: skolo/raspberry-pi/setup-swarming.sh
diff --git a/skolo/raspberry-pi/setup-swarming.sh b/skolo/raspberry-pi/setup-swarming.sh
index a30dd200c5c60d10711472802b3666f85db85cde..d081107297119941c6a8aeeb084297aa590c5d0e 100644
--- a/skolo/raspberry-pi/setup-swarming.sh
+++ b/skolo/raspberry-pi/setup-swarming.sh
@@ -1,8 +1,10 @@
#!/bin/sh
-
-set -ex
# Sets up the chrome-bot swarming user and installs python adb to /opt/adb
+
+set -ex
+
sudo chroot /opt/raspberrypi/root/
+
rm /etc/localtime
ln -s /usr/share/zoneinfo/US/Eastern /etc/localtime
@@ -26,8 +28,8 @@ if [ ! -e /usr/include/openssl/opensslconf.h ]
then
sudo ln -s /usr/include/arm-linux-gnueabihf/openssl/opensslconf.h /usr/include/openssl/opensslconf.h
fi
-sudo pip install rsa
-sudo pip install libusb1
+pip install rsa
stephana 2016/04/29 13:18:41 How does this work without sudo ? It might be via
kjlubick 2016/04/29 13:53:05 So, after the chroot (line 6) all subsequent comma
stephana 2016/04/29 17:30:58 Virtual env would just isolate the Python installa
+pip install libusb1
if [ ! -f /opt/adb ]
then
@@ -35,5 +37,8 @@ then
./python-adb/make_tools.py
ln python-adb/adb.zip adb
fi
+
+# Make swarming run on boot
+update-rc.d swarming defaults 90
# Adb can now be used by python /opt/adb
exit

Powered by Google App Engine
This is Rietveld 408576698